Subject: bug#51003: closed (Re: bug#51003: 28.0.50; [feature/pgtk] Mouse wheel requires two steps to scoll with pgtk)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Sep 2022 02:34:02 +0000

Your bug report

#51003: 28.0.50; [feature/pgtk] Mouse wheel requires two steps to scoll with pgtk

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51003: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=51003
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51003: 28.0.50; [feature/pgtk] Mouse wheel requires two steps to scoll with pgtk
From: Po Lu <[email-masked]>
To: Tom Hughes <[email-masked]>
Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
Date: Tue, 13 Sep 2022 10:33:29 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Tom Hughes <[email-masked]> writes:

> On 12/09/2022 11:34, Lars Ingebrigtsen wrote:
>
>> Tom Hughes <[email-masked]> writes:
>> 
>>> With pgtk I seem to need to move the scroll wheel on my mouse by
>>> two stops instead of one to trigger a scroll event in emacs.
>> I think this may be fixed on the "master" branch of Emacs now -- at
>> least I vaguely remember discussions about this.  Would it be possible
>> for you to test?
>
> This does seem to be resolved on master.
>
> Tom

I remember fixing this as well.  Closing, thanks.

Subject: 28.0.50; [feature/pgtk] Mouse wheel requires two steps to scoll with pgtk
From: Tom Hughes <[email-masked]>
To: [email-masked]
Date: Mon, 04 Oct 2021 09:01:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

With pgtk I seem to need to move the scroll wheel on my mouse by
two stops instead of one to trigger a scroll event in emacs.

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.30, cairo version 1.17.4)
 of 2021-10-04 built on bericote.compton.nu
Repository revision: 4c49ec7f865bdad1629d2f125f71f4e506b258f2
Repository branch: feature/pgtk
Windowing system distributor 'System Description: Fedora 34 (Thirty Four)

Configured using:
 'configure --with-pgtk --prefix=/var/tmp/emacs 'CFLAGS=-O2 -march=native''